import { Modal, Button } from 'antd';
import React, { useEffect, useMemo, useRef, useState } from 'react';
import Hatc from '@/components/Hatc';
import { getPreviewInfo } from '@/services/machinery';

export default (props) => {
  const width = 960;
  const height = 540;
  const { machineryRef, visible, toggleVisible } = props;

  const [preview, setPreview] = useState();
  const hatcRef = useRef();

  const TitleHolder = useMemo(() => <div>这是标题占位</div>, []);

  const handleCancel = () => {
    toggleVisible(false);
  };

  useEffect(() => {
    // 隐藏的时候取消视频播放
    if (visible) {
      getPreviewInfo('05a281758ccfe9c68fcada81faee7cae').then(setPreview);
    } else {
      if (hatcRef.current) {
        hatcRef.current.stop();
      }
    }
  }, [visible]);

  return (
    <Modal
      wrapClassName="geo-map-modal"
      title={TitleHolder}
      width={width + 4}
      footer={null}
      visible={visible}
      onCancel={handleCancel}
    >
      <Hatc width={width} ref={hatcRef} height={height} previewParams={preview} />
    </Modal>
  );
};
