import request from '@/utils/request';

/**
 * 保存资讯分类
 * @param {*} data
 * @returns
 */
export const addNewsType = (data) => request('/news-type', { method: 'post', data });

/**
 * 修改资讯分类
 * @param {*} data
 * @returns
 */
export const updateNewsType = (id, data) => request(`/news-type/${id}`, { method: 'put', data });

/**
 * 查询资讯分类列表
 * @param {*} params
 * @returns
 */
export const getNewsTypeList = (params) => request('/news-type', { params });

/**
 * 删除资讯分类
 * @param {*} data
 * @returns
 */
export const deleteNewsType = (id) => request(`/news-type/${id}`, { method: 'delete' });

/**
 * 查询资讯分类详情
 * @param {*} params
 * @returns
 */
export const getNewsTypeDetail = (id) => request(`/news-type/${id}`);
